Bug 166395 - "up2date kdebase" on clean system downloads kdelibs twice (3.4.0 and 3.4.2)
"up2date kdebase" on clean system downloads kdelibs twice (3.4.0 and 3.4.2)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-20 08:11 EDT by Stefan Neufeind
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:26:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2005-08-20 08:11:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
On a system with no kde, doing "up2date kdebase" the files kdelibs 3.4.0-something and 3.4.2-something are added to the selection. Both are downloaded! For sure 3.4.2 is the installed one afterwards. But where does 3.4.0 come from and why is it selected though the correct version of 3.4.2 is also selected/downloaded?

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.Get a system without KDE
2.do "up2date kdebase"
3.Watch out for kdelibs 3.4.0 and 3.4.2 both getting downloaded
  

Additional info:
Comment 1 Ngo Than 2005-08-22 04:17:48 EDT
assigned to correct component   
Comment 2 John Thacker 2006-10-29 15:25:50 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 Stefan Neufeind 2006-10-29 15:40:01 EST
No more FC4 here, sorry ...
Comment 4 John Thacker 2006-11-05 11:26:45 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.